# $Revision: 1.27 $, $Date: 2008/12/29 10:11:19 $
%define	_version_major	3.3.0
%define	_version_minor	3

Summary:	NX compression library
Summary(pl.UTF-8):	Biblioteka kompresji NX
Name:		nxcomp
Version:	%{_version_major}.%{_version_minor}
Release:	1
License:	GPL
Group:		X11/Libraries
Source0:	http://64.34.161.181/download/%{_version_major}/sources/%{name}-%{_version_major}-%{_version_minor}.tar.gz
# Source0-md5:	2327cca8e6116fd6a96345566336d81d
Patch0:		%{name}-pic.patch
Patch1:		%{name}-FLAGS.patch
URL:		http://www.nomachine.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NX compression library.

%description -l pl.UTF-8
Biblioteka kompresji NX.

%package devel
Summary:	Header files for nxcomp
Summary(pl.UTF-8):	Pliki nagłówkowe nxcomp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nxcomp.

%description devel -l pl.UTF-8
Pliki nagłówkowe nxcomp.

%package static
Summary:	Static nxcomp library
Summary(pl.UTF-8):	Statyczna biblioteka nxcomp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nxcomp library.

%description static -l pl.UTF-8
Statyczna biblioteka nxcomp.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

#%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT

cp -a lib*.so* $RPM_BUILD_ROOT%{_libdir}
install lib*.a $RPM_BUILD_ROOT%{_libdir}
install NX*.h $RPM_BUILD_ROOT%{_includedir}
install MD5.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nxcomp.spec,v $
Revision 1.27  2008/12/29 10:11:19  kosmo
- updated to 3.3.0-3

Revision 1.26  2008/08/04 12:35:54  paszczus
- updated to 3.2.0.7

Revision 1.25  2007/06/14 18:25:31  arekm
- rel 2

Revision 1.24  2007/04/07 22:44:49  twittner
- last change partially reverted - back to %configure

Revision 1.23  2007/04/07 18:46:12  twittner
- C(XX)FLAGS fixes: don't patch by sed - it isn't reliable and doesn't
  work in this case, use %configure2_13

Revision 1.22  2007/03/28 18:00:17  aredridel
- 2.1.0.5

Revision 1.21  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.19  2007/01/02 18:03:57  arekm
- rel 4

Revision 1.18  2006/10/07 14:48:00  qboosh
- ac 2.59-9 for AC_PATH_XTRA not requiring libXt

Revision 1.17  2006/09/11 17:30:02  aredridel
- package MD5.h (possible namespace collision?)

Revision 1.16  2006/09/11 16:59:58  aredridel
- 2.0.0.81

Revision 1.15  2006/08/09 12:08:47  arekm
- rel 3

Revision 1.14  2006/05/23 13:30:13  qboosh
- sorted BRs

Revision 1.13  2006/05/21 12:57:35  arekm
- rel 2; gcc 4 fixes

Revision 1.12  2006/05/21 12:48:18  arekm
- TH br

Revision 1.11  2006/01/31 22:11:47  qboosh
- don't use epoch when not defined

Revision 1.10  2006/01/08 05:24:55  aredridel
- up to 1.5.0-80

Revision 1.9  2005/09/17 20:46:12  undefine
- up to 1.5.0.65

Revision 1.8  2005/06/30 09:22:35  megabajt
- BR: autoconf, sed >= 4.0

Revision 1.7  2005/06/08 14:20:40  blekot
- version/release fix

Revision 1.6  2005/06/08 07:34:50  kosmo
- fixed distfiles error (I hope)

Revision 1.5  2005/06/08 07:08:34  kosmo
- updated to 1.4.0_32
- fixed CPPFLAGS/CXXFLAGS

Revision 1.4  2004/11/11 19:48:18  saq
- mass commit: using %%{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.3  2004/08/03 04:47:40  aredridel
- added md5
- fixed source path

Revision 1.2  2004/07/05 19:29:56  qboosh
- pl

Revision 1.1  2004/07/04 23:40:08  arekm
- initial pld release
